<?php
include "../parametros.php" ;
if($vg_login<>""){}
else
{   echo "<script>";
	echo "window.location='../index.php';";
	echo "</script>";
}	


include "../valida_permisos.php";
$vg_programa = F_programa();
include "../seguridad.php";
$sql_entrada= mysqli_query($conseg,"select login,nombre,perfil,programa,cedula,pais from permiso     
						where login='".$vg_login."'  and programa=".$vg_programa."");
while($datos= mysqli_fetch_row($sql_entrada)){ $vg_nombre=$datos[1];  $vg_perfil=$datos[2];	} 	
$modulo="Parametros_conceptos";
$permisos=validar_permiso($vg_login,$modulo,$vg_perfil,$vg_programa);
include "../permisos.php";
$valpermiso=F_permiso($permisos);
if($valpermiso[0]==1){}
else
{
	echo "<script>";
	echo "window.location='../erroracceso.php?formulario=Parametros_conceptos';";
	echo "</script>";
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php  echo $nombreprograma; ?></title>
<link rel="icon"  href="../icono.ico" />
<link href="../general.css" rel="stylesheet" type="text/css">
<script src="../js/jquery.min.js"></script>
<link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
<script src="../bootstrap/js/bootstrap.min.js"></script>
<link rel="stylesheet" href="../toastn/style.css">
<script src="../toastn/cute-alert.js"></script>

  <link rel="stylesheet" href="../plugins1/datatables-bs4/css/dataTables.bootstrap4.min.css">
  <link rel="stylesheet" href="../plugins1/datatables-responsive/css/responsive.bootstrap4.min.css">
  <link rel="stylesheet" href="../plugins1/datatables-buttons/css/buttons.bootstrap4.min.css">
  
</head>

<body onLoad="frmparametros.nombre.focus();">
<?php
$tabla="par_conceptos";
include "../conexion.php";
$id=""; $nombre=""; $estado="";$nombreformulario="";$tipoconcepto="";
$rs_estado=mysqli_query($conexion,"SELECT id,nombre FROM estado where tipo='PARAMETROS' order by nombre asc");

if($_REQUEST["id"]<>'')
{  		      $sql_contar=mysqli_query($conexion,"SELECT count(*) as contar FROM $tabla
									   where id='".$_REQUEST["id"]."'");
			  while($datos= mysqli_fetch_row($sql_contar)){ $contar=$datos[0];}
			  if($contar>=1)
				{$sql_datos =mysqli_query($conexion,"select id,nombre,estado  FROM $tabla
										  where id='".$_REQUEST["id"]."'");
						while($datos= mysqli_fetch_row($sql_datos))
						{ 
							$id=$datos[0]; 						
							$nombre=$datos[1]; 	
							$estado=$datos[2]; 	
							$tipoconcepto=$datos[3]; 	
					   }
				}
}


if(isset($_REQUEST['oculto']))
  { 
	$id=$_REQUEST['id'];						
	$nombre=$_REQUEST['nombre'];						
	$estado=$_REQUEST['estado'];
	$tipoconcepto=$_REQUEST['tipoconcepto'];						
					

if($_REQUEST["oguardar"]==1)
	 {   
		  if($nombre<>"") 
		  {
			  $sql_contar=mysqli_query($conexion,"SELECT count(*) as contar FROM $tabla
									   			  where nombre='".$nombre."'");
			  while($datos= mysqli_fetch_row($sql_contar)){ $contar=$datos[0];}
			  if($contar>=1) {echo "<script>alert('Ya existe el registro');</script>";}
			  else
				{ $busqueda=1;
				  $sql_insert=mysqli_query($conexion,"insert into $tabla(nombre,estado)
										  values('".$nombre."','".$estado."')"); 
				 if($sql_insert)
				   {
				      $mensaje="Se registro ";
					    ?>				  
						<script>
						cuteToast({
							  type: "success", // or 'info', 'error', 'warning'
							  message: "<?php echo $mensaje; ?>",
							  timer: 3000
							})
						</script>
                       <?php
				   }	
				 else 
				  {
				    $mensaje="Error al registrar ";
					    ?>				  
						<script>
						cuteToast({
							  type: "error", // or 'info', 'error', 'warning'
							  message: "<?php echo $mensaje; ?>",
							  timer: 3000
							})
						</script>
                       <?php
				  }				
				}
		 }
		 else {
			   $mensaje="Digite la Informacion Requerida";
					    ?>				  
						<script>
						cuteToast({
							  type: "error", // or 'info', 'error', 'warning'
							  message: "<?php echo $mensaje; ?>",
							  timer: 3000
							})
						</script>
                       <?php
		 }				

	 }//fin guardar

if($_REQUEST["omodificar"]==1)
	 {   
		  $sql_contar=mysqli_query($conexion,"SELECT count(*) as contar FROM $tabla where id='".$id."'");
		  while($datos= mysqli_fetch_row($sql_contar)){ $contar=$datos[0];}
		  if($contar>=1) 
			{ $busqueda=1;
			  $sql_update=mysqli_query($conexion,"update $tabla set
			  									  nombre='".$nombre."',
												  estado='".$estado."'
												  where id='".$id."'"); 
			 if($sql_update)
			   {
			    $mensaje="Se modifico ";
					    ?>				  
						<script>
						cuteToast({
							  type: "success", // or 'info', 'error', 'warning'
							  message: "<?php echo $mensaje; ?>",
							  timer: 3000
							})
						</script>
                       <?php
			   }	
			 else 
			  {
			   $mensaje="Error al modificar";
					    ?>				  
						<script>
						cuteToast({
							  type: "error", // or 'info', 'error', 'warning'
							  message: "<?php echo $mensaje; ?>",
							  timer: 3000
							})
						</script>
                       <?php
			  }				
			}
		  else
		   {
		    $mensaje="No existe el codigo";
					    ?>				  
						<script>
						cuteToast({
							  type: "error", // or 'info', 'error', 'warning'
							  message: "<?php echo $mensaje; ?>",
							  timer: 3000
							})
						</script>
                       <?php
		   }	
	 }//fin guardar


if($_REQUEST["obusca"]==1)
             {   
			     if($id<>"")
				 {
					 $sql_contar=mysqli_query($conexion,"SELECT count(*) as contar FROM $tabla where id='".$id."'");
					   while($datos= mysqli_fetch_row($sql_contar)){ $contar=$datos[0];}
					  if($contar>=1)
						{ $sql_datos =mysqli_query($conexion,"select id,nombre,estado
												  FROM $tabla where id='".$id."'");
								while($datos= mysqli_fetch_row($sql_datos))
								{ 
									$id=$datos[0]; 						
									$nombre=$datos[1]; 	
									$estado=$datos[2]; 	
									$tipoconcepto=$datos[3]; 	
							   }
						}
						else
						  {
						    $mensaje="No existe el codigo";
								?>				  
								<script>
								cuteToast({
									  type: "error", // or 'info', 'error', 'warning'
									  message: "<?php echo $mensaje; ?>",
									  timer: 3000
									})
								</script>
							   <?php
						  }
				  }
             }//fin buscar

	if(isset ($_REQUEST['nuevo']))
	   { 
	   		$id=""; $nombre=""; 	$estado="";
	   }

  }

?>
<form name="frmparametros" method="post" action="" >
 <center>
  <div align="center">
    <div class="panel panel-primary" style="width:90%;">
      <div class="panel-heading">CONCEPTOS</div>
       <div align="center">

        <table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="7%" height="0"><div align="left" class="texto_campos">Codigo</div></td>
            <td width="18%">
              
              <div align="left">
                <input name="id" type="text" id="id"    value="<?php echo $id; ?>" 
            onfocus="this.style.background='#ccffff'" onblur="this.style.background='#ffffff'" 
             class="form-control"  style="width: 150px" 
             onkeypress="return valida(event);" />
                <input name="idcargo" type="hidden" id="idcargo"    value="<?php echo $idcargo; ?>" 
            onfocus="this.style.background='#ccffff'" onblur="this.style.background='#ffffff'" 
             class="form-control1"  style="width: 150px" 
             onkeypress="return valida(event);" />
              </div></td>
            <td width="13%"><input name="buscar" type="submit" class="btn btn-primary" id="buscar"  value="Buscar" onclick="obusca.value=1;omunicipio.value=1;overeda.value=1;omunicipiod.value=1;" /></td>
            <td colspan="3">&nbsp;</td>
            </tr>
          <tr>
            <td height="2"><div align="left" class="texto_campos">Nombre</div></td>
            <td colspan="5">
              <div align="left">
                <input name="nombre" type="text" id="nombre"   value="<?php echo $nombre; ?>" 
              onfocus="this.style.background='#ccffff'" onblur="this.style.background='#ffffff'"
              class="form-control" style="width: 400px" />
              </div>              
              </td>
            </tr>
          
          <tr>
            <td height="1"><span class="texto_campos">Estado</span></td>
            <td height="1" colspan="2"><div align="left">
              <select name="estado"  id="estado"
                            onfocus="this.style.background='#ccffff'" onblur="this.style.background='#FFFFDD'"
                            class="form-control" data-toggle="tooltip" data-placement="right" title="Seleccione el estado del empleado" style="width: 100px" >
                <?php while ($rowba=mysqli_fetch_array($rs_estado))
									{
									 if ($estado==$rowba['id'])
										{echo "<option value=".$rowba['id']." selected>".substr($rowba['nombre'],0,40)."</option>";}
									 else
										{echo "<option value=".$rowba['id'].">".substr($rowba['nombre'],0,40)."</option>";}		
									}
							 ?>
              </select>
            </div></td>
            <td width="18%" height="1">&nbsp;</td>
            <td width="44%" height="1" colspan="2">&nbsp;</td>
            </tr>
          
          <tr>
            <td height="1" colspan="6"><div align="center">
                  <input name="nuevo" type="submit"  id="nuevo"  value="Nuevo" class="btn btn-primary"  style="width: 100px"/>
                  <input name="guardar" type="button"  id="guardar"  value="Guardar" onclick="return pregunta_guardar();" class="btn btn-primary" style="width: 100px"/>
                  <input name="modificar" type="button"  id="modificar"  value="Modificar" 	onclick="return pregunta_modificar();" class="btn btn-primary" style="width:100px" />                  
                  <input type="hidden" name="oculto" />
                  <input name="oguardar" type="hidden" id="oguardar" />
                  <input name="omodificar" type="hidden" id="omodificar" />
                  <input name="obusca" type="hidden" id="obusca" />
                  <input name="omunicipio" type="hidden" id="omunicipio" />
                  <input name="overeda" type="hidden" id="overeda" />
                  <input name="omunicipiod" type="hidden" id="omunicipiod" />
               
            </div></td>
          </tr>
          <tr>
            <td height="1" colspan="7"><div align="center"></div></td>
            </tr>
        </table>
        
        <center>
        <table id="example1" class="table table-bordered table-striped" style="font-size:12px; width:100%" cellpadding='0' cellspacing='0'  bordercolor='#cccccc'>
                        <thead>
                            <tr class="btn-primary">
                                <th width='10%'>CODIGO</th>
                                <th width='80%'>NOMBRE</th>
                                <th width='10%'>ESTADO</th>
                            </tr>
                        </thead>
                        <tbody>
      <?php
      $c=0;

				$sql_datos=mysqli_query($conexion,"select  id,nombre,estado	FROM $tabla
										order by id asc");
				while($datos=mysqli_fetch_row($sql_datos))//01
				{   
				$id=$datos[0]; 						
				$nombre=$datos[1]; 	
				$estado=$datos[2]; 	
				$tipoconcepto=$datos[3]; 	
				$nestado="";
				$rs_estado=mysqli_query($conexion,"SELECT id,nombre FROM estado  where id='".$estado."'");
				while($datoses= mysqli_fetch_row($rs_estado)){ $nestado=$datoses[1];}
				
				echo " <tr>";
						 echo "<td><a href='conceptos.php?tabla=$tabla&id=$id'>".$id."</a></td>";
						 echo "<td>".$nombre."</td>";
						 echo "<td>".$nestado."</td>";
						 echo "</tr>";
					$c=$c+1;
				}
				
	  
	  ?>  
	  </tbody></table></center> 
 </div>
 </div>
 </div>
 </center>  
 

<SCRIPT type=text/javascript>

function pregunta_guardar(){ 
cuteAlert({
	  type: "question",
	  title: "Confirmar Para Procesar",
	  message: "",
	  confirmText: "Ok",
	  cancelText: "Cancel"
	}).then((e)=>{
	  
	  if( e == "confirm")
	   {
		   retorno_valida=valida_campos();
			if(retorno_valida==false)
			   {document.frmparametros.oguardar.value=0;
				return false;
				}
			else
			  { document.frmparametros.oguardar.value=1; 
				document.frmparametros.submit(); 
				return true;
			  }
	   } 
	  else {
		document.frmparametros.oguardar.value=0;
		    return false; 
	  }
	})
} 



function pregunta_modificar(){ 
	cuteAlert({
	  type: "question",
	  title: "Confirmar Para Procesar",
	  message: "",
	  confirmText: "Ok",
	  cancelText: "Cancel"
	}).then((e)=>{
	  
	  if( e == "confirm")
	   {
		   retorno_valida=valida_campos();
			if(retorno_valida==false)
			   {document.frmparametros.omodificar.value=0; 
				return false;
				}
			else
			  { document.frmparametros.omodificar.value=1; 
				document.frmparametros.submit(); 
				return true;
			  }
	   } 
	  else {
		document.frmparametros.omodificar.value=0;
		    return false; 
	  }
	})
} 

function valida_campos()
{   var mensaje='';
	
		 if(document.frmparametros.nombre.value!=''){}
		 else {mensaje=mensaje + 'Falta Digitar el nombre,';    }
		 
		if(document.frmparametros.nombre.value!=''){return true;}
		else {
			   cuteAlert({
						  type: "error",
						  title: "JACOME",
						  message: " Informacion Requerida: " + mensaje,
						  buttonText: "Ok"
						})
			  return false;
			 }

}

</script>


<script>
function valida(e){
    tecla = (document.all) ? e.keyCode : e.which;
	//Tecla de retroceso para borrar, siempre la permite
	 if (tecla==8){
        return true;
    }  

	if (tecla==46){
        return true;
    } 
	 
    // Patron de entrada, en este caso solo acepta numeros
    patron =/[0-9]/;
    tecla_final = String.fromCharCode(tecla);
    return patron.test(tecla_final);
}
</script>


<script src="../plugins1/jquery/jquery.min.js"></script>
<script src="../plugins1/bootstrap/js/bootstrap.bundle.min.js"></script>
<script src="../plugins1/datatables/jquery.dataTables.min.js"></script>
<script src="../plugins1/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
<script src="../plugins1/datatables-responsive/js/dataTables.responsive.min.js"></script>
<script src="../plugins1/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
<script src="../plugins1/datatables-buttons/js/dataTables.buttons.min.js"></script>
<script src="../plugins1/datatables-buttons/js/buttons.bootstrap4.min.js"></script>
<script src="../plugins1/jszip/jszip.min.js"></script>
<script src="../plugins1/pdfmake/pdfmake.min.js"></script>
<script src="../plugins1/pdfmake/vfs_fonts.js"></script>
<script src="../plugins1/datatables-buttons/js/buttons.html5.min.js"></script>
<script src="../plugins1/datatables-buttons/js/buttons.print.min.js"></script>
<script src="../plugins1/datatables-buttons/js/buttons.colVis.min.js"></script>
<script>
  $(function () {
    $("#example1").DataTable({
      "responsive": true, "lengthChange": false, "autoWidth": false,
      "buttons": ["excel", "pdf", "print", "colvis"],
	  "order": [ 0, 'asc' ]
    }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
   
  });
</script>


</form>
</body>
</html>
